import request from '@/assets/js/utils/request'

// 校验注册信息
export function checkTSUserInfoOnlyIDCard(data) {
  return request({
    url: '/bidprocurement/expertscloud-expert/register/expertscloudInfoRegisterController/checkTSUserInfoOnlyIDCard',
    method: 'post',
    data
  })
}

// 效验身份证号码
export function checkTSUserInfoOnlyMobile(data) {
  return request({
    url: '/bidprocurement/expertscloud-expert/register/expertscloudInfoRegisterController/checkTSUserInfoOnlyMobile',
    method: 'post',
    data
  })
}

//  获取已经存在的专家单位
export function getAlreadyExistExpertComName(data) {
  return request({
    url: '/bidprocurement/expertscloud-expert/info/exptExpertInfoController/getAlreadyExistExpertComName',
    method: 'post',
    data
  })
}

// 提交注册
export function submitExpertRegisterInfo(data) {
  return request({
    url: '/bidprocurement/expertscloud-expert/register/expertscloudInfoRegisterController/submitExpertRegisterInfo',
    method: 'post',
    data
  })
}

// 查询专家信息
export function submitExpertApply(data) {
  return request({
    url: '/bidprocurement/expertscloud-expert/info/exptExpertInfoController/submitExpertApply',
    method: 'post',
    data
  })
}

// 校验注册信息
export function checkRegisterInfo(data) {
  return request({
    url: '/bidprocurement/expertscloud-expert/user/registerCenter/checkRegisterInfo',
    method: 'post',
    data
  })
}

// 手机短信验证码
export function sendAliyunRegisterCode(data) {
  return request({
    url: '/bidprocurement/expertscloud-expert/user/registerCenter/sendAliyunRegisterCode',
    method: 'post',
    data
  })
}

// common-user/user/registerCenter/sendAliyunRegisterCode
// 工作单位、统一社会代码校验
export function checkExpertRegisterInfoCompanyIsExist(data) {
  return request({
    url: '/bidprocurement/expertscloud-expert/register/expertscloudInfoRegisterController/checkExpertRegisterInfoCompanyIsExist',
    method: 'post',
    data
  })
}
